gupnp_service_proxy_action_set
gupnp_service_proxy_callback_set
Gupnp Functions
PHP Manual

# gupnp_service_proxy_add_notify

(PECL gupnp >= 0.1.0)

gupnp_service_proxy_add_notify — Sets up callback for variable change notification

### Description

bool gupnp_service_proxy_add_notify ( resource `$proxy` , string `$value` , int `$type` , mixed `$callback` [, mixed `$arg` ] )

Sets up callback to be called whenever a change notification for variable is recieved.

### Parameters

`proxy`

  A service proxy identifier.

`value`

  The variable to add notification for.

`type`

  The type of the variable. Type can be one of the following values:

  `GUPNP_TYPE_BOOLEAN`
    Type of the variable is boolean.
  `GUPNP_TYPE_INT`
    Type of the variable is integer.
  `GUPNP_TYPE_LONG`
    Type of the variable is long.
  `GUPNP_TYPE_DOUBLE`
    Type of the variable is double.
  `GUPNP_TYPE_FLOAT`
    Type of the variable is float.
  `GUPNP_TYPE_STRING`
    Type of the variable is string.
`callback`

  The callback to call when variable changes. Typically, callback function takes on three parameters. The `variable` parameter being the first, `value` parameter being the second, and the `arg` is third.

`arg`

  User data for `callback`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- gupnp_service_proxy_remove_notify() - Cancels the variable change notification

gupnp_service_proxy_action_set
gupnp_service_proxy_callback_set
Gupnp Functions
PHP Manual